﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ZhonTai.Admin.Services.DiTuiAPI.Dto
{
    public class ProjectQrcodePageOutput
    {
        /// <summary>
        /// ID
        /// </summary>
        public long Id { get; set; }
        /// <summary>
        /// 姓名
        /// </summary>
        public string Salesman { get; set; }
        /// <summary>
        /// 绑定日期
        /// </summary>
        public DateTime? UseTime { get; set; }

        /// <summary>
        ///  二维码编号
        /// </summary>
        public string Num { get; set; } = "";

        /// <summary>
        /// 短链
        /// </summary>
        public string ShortUrl { get; set; } = "";

        /// <summary>
        /// 口令
        /// </summary>
        public string ShareCommond { get; set; } = "";

        /// <summary>
        /// 二维码URL
        /// </summary>
        public string QrcodeUrl { get; set; } = "";
        /// <summary>
        /// 查单链接（订单明细）
        /// </summary>
        public string QueryUrl { get; set; } = "";

        /// <summary>
        /// 夸克ID
        /// </summary>
        public string? KuaKeId { get; set; } = "";

        /// <summary>
        /// 行业
        /// </summary>
        public string? Industry { get; set; } = "";

        /// <summary>
        /// 推广平台
        /// </summary>
        public string? Platform { get; set; } = "";

        /// <summary>
        /// 夸克类型 状态文字
        /// </summary>
        private string? kuaKeStatus;
        public string? KuaKeStatus
        {
            get
            {
                switch (kuaKeStatus)
                {
                    case "1":
                        return "报备中";
                        break;
                    case "2":
                        return "报备成功";
                        break;
                    case "3":
                        return "报备失败";
                        break;
                    default:
                        return "";
                        break;

                }
            }
            set { kuaKeStatus = value; }
        }

        /// <summary>
        /// 夸克类型 字体颜色 报备中#FA6400    报备成功#00C855     报备失败#F54033
        /// </summary>
        public string? KuaKeStatusColor
        {
            get
            {
                switch (kuaKeStatus)
                {
                    case "1":
                        return "#FA6400";
                        break;
                    case "2":
                        return "#00C855";
                        break;
                    case "3":
                        return "#F54033";
                        break;
                    default:
                        return "";
                        break;

                }
            }
            set { kuaKeStatus = value; }
        }
    }
}
